---
layout: docs
page_title: users add-accounts - Command
description: >-
  The "users add-accounts" command associates accounts with a user resource.
---

# users add-accounts

Command: `users add-accounts`

The `users add-accounts` command lets you associate accounts with a user.

## Example

This example associates a user `u_1234567890` with an account `a_1234567890`:

```shell-session
$ boundary users add-accounts -id u_1234567890 -account a_1234567890
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary users add-accounts [options] [args]
```

</CodeBlockConfig>

### Command options

- `-account=<string>` - The account you want to associate with the user.
You can add multiple accounts.
- `-id=<string>` - The ID of the user you want to associate an account with.
- `-version=<int>` - The version of the user to perform the operation on.
If you do not specify a version, the command performs a check-and-set automatically.

@include 'cmd-option-note.mdx'